# $Revision: 1.18 $, $Date: 2002/06/29 19:55:06 $
Summary:	maildrop mail filter/mail delivery agent
Summary(pl):	maildrop - filtr pocztowy/dostarczyciel poczty
Name:		maildrop
Version:	1.4.0
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	ftp://ftp1.sourceforge.net/pub/sourceforge/courier/%{name}-%{version}.tar.gz
URL:		http://www.flounder.net/~mrsam/maildrop/
Requires:	courier-imap-userdb
Requires:	courier-imap-maildirmake
Requires:	courier-imap-deliverquota
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Maildrop is a combination mail filter/mail delivery agent. Maildrop
reads the message to be delivered to your mailbox, optionally reads
instructions from a file how filter incoming mail, then based on these
instructions may deliver mail to an alternate mailbox, or forward it,
instead of dropping the message into your mailbox.

Maildrop uses a structured, real, meta-programming language in order
to define filtering instructions. Its basic features are fast and
efficient. At sites which carry a light load, the more advanced,
CPU-demanding, features can be used to build very sophisticated mail
filters. Maildrop deployments have been reported at sites that support
as many as 30,000 mailboxes.

Maildrop mailing list -- http://maildropl.listbot.com/

This version is compiled with support for GDBM database files, maildir
enhancements (folders+quotas), and userdb.

%description -l pl
Maildrop to poczenie filtra i dostarczyciela poczty. Czyta
wiadomo, ktra ma by dostarczona do skrzynki, opcjonalnie czyta
instrukcje z pliku jak filtrowa przychodzc poczt, na podstawie
tych instrukcji moe dostarcza poczt do innej skrzynki, lub
forwardowa zamiast wrzuca do podstawowej skrzynki.

Maildrop uywa strukturalnego, rzeczywistego meta-jzyka programowania
do definiowania instrukcji filtrowania. Podstawowe moliwoci s
szybkie i wydajne. Na serwerach z niewielkim obcieniem mona uywa
bardziej zaawansowanych, obciajcych procesor moliwoci do
stworzenia przemylanych filtrw pocztowych. Znane s przypadki
uywania Maildropa na serwerach z 30 000 kontami pocztowymi.

Lista dyskusyjna Maildropa: http://maildropl.listbox.com/ .

Ta wersja jest skompilowana z obsug plikw baz GDBM, rozszerzeniami
maildir (foldery i quoty) oraz userdb.

%package devel
Summary:	Development tools for handling E-mail messages
Summary(pl):	Narzdzia programisty do obsugi wiadomoci E-mail
Group:		Applications/Mail

%description devel
The maildrop-devel package contains the libraries and header files
that can be useful in developing software that works with or processes
E-mail messages.

Install the maildrop-devel package if you want to develop applications
which use or process E-mail messages.

%description devel -l pl
Ten pakiet zawiera biblioteki i pliki nagwkowe przydatne przy
tworzeniu oprogramowania pracujcego z lub przetwarzajcego wiadomoci
E-mail.

%prep
%setup -q

%build
%configure2_13 \
	--with-devel \
	--enable-userdb \
	--enable-maildirquota \
	--enable-syslog=1 \
	--enable-trusted-users='root mail daemon postmaster exim qmaild mmdf' \
	--enable-restrict-trusted=0 \
	--enable-sendmail=/usr/lib/sendmail
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MAILDROPUID="" \
	MAILDROPGID=""

gzip -9nf maildir/README.maildirquota.txt AUTHORS README README.postfix \
	NEWS UPGRADE ChangeLog maildroptips.txt INSTALL

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/maildirmake.1
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/deliverquota*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/makeuserdb*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/userdb*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/*pw2userdb*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc maildir/*.gz *.gz

%attr(6755,root,mail) %{_bindir}/maildrop
%attr(6755,root,mail) %{_bindir}/dotlock
%attr(755,root,root) %{_bindir}/makedat
%attr(755,root,root) %{_bindir}/makedatprog
%attr(755,root,root) %{_bindir}/reformail
%attr(755,root,root) %{_bindir}/makemime
%attr(755,root,root) %{_bindir}/reformime
%dir %{_datadir}/maildrop
%dir %{_datadir}/maildrop/scripts
%attr(755,root,root) %{_datadir}/maildrop/scripts/*
%{_mandir}/man[158]/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: maildrop.spec,v $
Revision 1.18  2002/06/29 19:55:06  fvk
- updated to 1.4.0

Revision 1.17  2002/04/21 17:33:51  pioklo
- up to 1.3.8,STBR

Revision 1.16  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/18 00:24:38  kloczek
- adapterized.

Revision 1.14  2002/02/18 00:08:43  marcus
- new version, 1.3.7, stb

Revision 1.13  2002/01/18 02:13:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/06 14:55:56  qboosh
- pl descriptions, standarized perms: s/6555,root,mail/6755,root,mail/

Revision 1.11  2001/11/27 23:29:36  filon
- updated to 1.3.6

Revision 1.10  2001/11/06 23:58:26  kloczek
- updated to 1.3.5,
- spec adapterized.

Revision 1.9  2001/11/06 17:31:56  bonkey
- release: 2
- removed obsoletes: qmail-maildirmake
- added requires: courier-imap-{maildirmake,deliverquota,userdb}
- removed common files with courier-imap-{maildirmake,deliverquota,userdb}
- %%configure2_13 moved do %%build section
- added 'exim' user to trusted users in %%configure2_13

Revision 1.8  2001/10/03 02:31:31  marcus
- new version 1.3.4

Revision 1.7  2001/09/27 00:55:18  marcus
- s/%%configure/%%configure2_13/g

Revision 1.6  2000/12/19 19:10:14  marcus
- added Obsoletes: qmail-maildirmake to avoid conflict
- release 5

Revision 1.5  2000/12/18 23:10:41  marcus
- removed symlinks in man-pages (it don't work if man-pages are gzipped)
- release 4
co z konfliktem plikow maildirmake i maildirmake.1.gz z plikami z qmaila ?

Revision 1.4  2000/12/16 03:13:46  kloczek
- changed patch to sendmail to /usr/lib/sendmail (to be FHS compliant),
- removed html %doc which is converted from included man pages,
- move man section 3 to devel,
- added gzipping %doc,
- correct attributrs on scripts,
- removed static subpackage becase package not provides shared librariesi
  (maybe after add building shared libraires thic can back).

Revision 1.3  2000/12/15 23:37:49  marcus
- moved man-pages from devel subpackage to main binary package
- release 3

Revision 1.2  2000/12/15 15:45:16  marcus
- partially rewrited in PLD style (kloczek: check me!)
- adapterized
- release 2
Czy te 2 suidy co zostaly musza byc? Co z plikami konfiguracyjnymi?
